java.rmi.server

## Interface Skeleton

Deprecated.
no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.

    @Deprecated
    public interface Skeleton

The `Skeleton` interface is used solely by the RMI implementation.

Every version 1.1 (and version 1.1 compatible skeletons generated in 1.2 using `rmic -vcompat`) skeleton class generated by the rmic stub compiler implements this interface. A skeleton for a remote object is a server-side entity that dispatches calls to the actual remote object implementation.

Since:
  JDK1.1

### Method Summary

Methods
`void` `dispatch(Remote obj, RemoteCall theCall, int opnum, long hash)` Deprecated. no replacement
`Operation[]` `getOperations()` Deprecated. no replacement

### Method Detail

#### dispatch

    @Deprecated
    void dispatch(Remote obj,
                           RemoteCall theCall,
                           int opnum,
                           long hash)
                  throws Exception

Deprecated. no replacement
Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

Parameters:
  `obj` - remote implementation to dispatch call to
  `theCall` - object representing remote call
  `opnum` - operation number
  `hash` - stub/skeleton interface hash
Throws:
  `Exception` - if a general exception occurs.
Since:
  JDK1.1

#### getOperations

    @Deprecated
    Operation[] getOperations()

Deprecated. no replacement
Returns the operations supported by the skeleton.

Returns:
  operations supported by skeleton
Since:
  JDK1.1

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.